Package com.stardog.stark.vocabs

# Class FOAF

java.lang.Object
com.stardog.stark.vocabs.FOAF

public final class FOAF extends Object

Constants for the FOAF ontology

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `age`
  `static final IRI`
  `Agent`
  `static final IRI`
  `based_near`
  `static final IRI`
  `birthday`
  `static final IRI`
  `currentProject`
  `static final IRI`
  `depiction`
  `static final IRI`
  `depicts`
  `static final IRI`
  `Document`
  `static final IRI`
  `familyName`
  `static final IRI`
  `fax`
  `static final IRI`
  `firstName`
  `static final IRI`
  `gender`
  `static final IRI`
  `givenName`
  `static final IRI`
  `Group`
  `static final IRI`
  `homepage`
  `static final IRI`
  `Image`
  `static final IRI`
  `knows`
  `static final IRI`
  `lastName`
  `static final IRI`
  `logo`
  `static final IRI`
  `made`
  `static final IRI`
  `maker`
  `static final IRI`
  `mbox`
  `static final IRI`
  `mbox_sha1sum`
  `static final IRI`
  `member`
  `static final IRI`
  `name`
  `static final String`
  `NAMESPACE`
  `static final IRI`
  `openId`
  `static final IRI`
  `Organization`
  `static final IRI`
  `pastProject`
  `static final IRI`
  `Person`
  `static final IRI`
  `phone`
  `static final IRI`
  `primaryTopic`
  `static final IRI`
  `surname`
  `static final IRI`
  `thumbnail`
  `static final IRI`
  `title`
  `static final IRI`
  `topic_interest`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### Person

    public static final IRI Person

  - ### Organization

    public static final IRI Organization

  - ### Image

    public static final IRI Image

  - ### Agent

    public static final IRI Agent

  - ### Group

    public static final IRI Group

  - ### Document

    public static final IRI Document

  - ### givenName

    public static final IRI givenName

  - ### gender

    public static final IRI gender

  - ### familyName

    public static final IRI familyName

  - ### firstName

    public static final IRI firstName

  - ### surname

    public static final IRI surname

  - ### name

    public static final IRI name

  - ### mbox

    public static final IRI mbox

  - ### mbox_sha1sum

    public static final IRI mbox_sha1sum

  - ### depicts

    public static final IRI depicts

  - ### depiction

    public static final IRI depiction

  - ### maker

    public static final IRI maker

  - ### phone

    public static final IRI phone

  - ### fax

    public static final IRI fax

  - ### based_near

    public static final IRI based_near

  - ### thumbnail

    public static final IRI thumbnail

  - ### homepage

    public static final IRI homepage

  - ### birthday

    public static final IRI birthday

  - ### knows

    public static final IRI knows

  - ### lastName

    public static final IRI lastName

  - ### title

    public static final IRI title

  - ### openId

    public static final IRI openId

  - ### pastProject

    public static final IRI pastProject

  - ### topic_interest

    public static final IRI topic_interest

  - ### age

    public static final IRI age

  - ### member

    public static final IRI member

  - ### primaryTopic

    public static final IRI primaryTopic

  - ### made

    public static final IRI made

  - ### logo

    public static final IRI logo

  - ### currentProject

    public static final IRI currentProject